Register Employees

Method registers employees for a test and returns identifiers that can be used to start the test.

Request Information

Scheme

POST https://api.startexam.com/v2/employees-participants

URI Parameters

None

Body Parameters

Json with the RegisterParticipantsQuery, see details and example below.

  • center - center unique name. The value can be retrieved from the center details page.
  • validFrom - session link activation time, UTC, ISO 8601.
  • validTill - session link expiration time, UTC, ISO 8601.
  • proctoring - enable proctoring (applicable only for accounts with enabled proctoring)
  • proctoringActivationParameters - proctoring parameters (applicable only with enabled proctoring)
  • doNotCreateIfExist - do not create new registration if employee has been already registered for center and test
  • tests - from 1 to 10 test identifiers, Guid.
  • employees - from 1 to 500 employees identifiers.

Request Example

POST https://api.startexam.com/v2/employees-participants HTTP/1.1
Host: api.startexam.com
Accept: application/json; charset=utf-8
Authorization: SharedKey 99:f52JP7GQd0xqrBzMO1NWTNVGzLENymgdUXu/Ie++NX4=
Content-Type: application/json; charset=utf-8
Content-Length: 518
Date: Mon, 16 Mar 2026 20:08:51 GMT

{
  "center": "mycenter",
  "validFrom": "2026-03-16T00:00:00Z",
  "validTill": "2026-03-26T23:59:59Z",
  "proctoring": true,
  "proctoringActivationParameters": [
    {
      "name": "Type",
      "value": "Offline"
    },
    {
      "name": "AuxiliaryCamera",
      "value": "true"
    }
  ],
  "doNotCreateIfExist": false,
  "tests": [
    "ce862ef5-d49f-424b-9b7f-da719a833390"
  ],
  "employees": [
    {
      "id": "willis74"
    },
    {
      "id": "knightly32"
    },
    {
      "id": "covey77"
    }
  ]
}

Date and Authorization headers are constructed in the standard way.

Response Information

HTTP status code

200 OK, 400 Bad Request, etc. according the response processing guide.

Content-Type

Json.

Content

Identifiers of registered participants (sessions for employees).

Use the URL mask below to construct a unique link for employee and redirect him to his exam:

https://go.startexam.com/{center}#participant/{id}

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: 160

{
  "participantIds": [
    "50064e6d-135d-4733-96cf-7cbdf9154ef1",
    "21289200-0482-482b-afb0-385cff3e159d",
    "d43ae055-8b5f-44b8-904b-00414aa756ea"
  ]
}

To redirect the first participant (willis74) to the assessment you can use URL:

https://go.startexam.com/mycenter#participant/50064e6d-135d-4733-96cf-7cbdf9154ef1

Try Method